<?php
/**
 * Created by PhpStorm.
 * User: Steven
 * Date: 2016/12/4
 * Time: 15:44
 */
require_once __DIR__ . '/../Config/DbConfig.class.php';

class commonService extends DbConfig
{
    public $UserName = '';  //
    public $Password = '';
    public $LoginToken;

    public function __construct()
    {
        //如果Token没有过期，直接用，如果过期，调用login生成
        if (!$this->LoginToken) {
            $this->LoginToken = $this->login();
        }
    }

    /**
     *Login 登录  不需要发送header头信息
     *eLong为每个酒店供应商提供一个或者多个访问直连Push接口的用户，使用用户名，密码调用Login方法登陆，获取LoginToken（用以访问其它接口的凭证）
     */
    public function login($param)
    {
        //TODO:参数验证
        $array = array(
            'UserName' => $this->UserName,
            'Password' => $this->Password
        );
        $request = utils::base_xml_encode($array, 'utf-16', 'LoginRequest');
        $res = utils::execute($request);
        return $res;
    }
}